package com.lovenav.service;

import java.util.List;

public interface RedisService {
    public Long addSearchHistoryByUserId(String userid, String searchkey);

    //删除个人历史数据
    Long delSearchHistoryByUserId(String userid, String searchkey);

    //获取个人历史数据列表
    List<String> getSearchHistoryByUserId(String userid);

    //新增一条热词搜索记录，将用户输入的热词存储下来
    int incrementScoreByUserId(String searchkey);

    //根据searchkey搜索其相关最热的前十名 (如果searchkey为null空，则返回redis存储的前十最热词条)
    List<String> getHotList(String searchkey);

    //每次点击给相关词searchkey热度 +1
    Long incrementScore(String searchkey);
}
